<div align="center">
  <a href="https://irusa.org/middle-east/palestine/">
    <img src="assets/palestine-banner.png" width="800px">
  </a>
</div>

<div align="center">
  <img src="assets/icon-color.svg" width="200px">
  <h1>envio</h1>
</div>

<div align="center">
  <h2 align="center">A Modern And Secure CLI Tool For Managing Environment Variables</h2>

  [![CICD](https://github.com/humblepenguinn/envio/actions/workflows/CICD.yml/badge.svg)](https://github.com/humblepenguinn/envio/workflows/CICD.yml)
  [![Version info](https://img.shields.io/crates/v/envio.svg)](https://crates.io/crates/envio)
  [![Visit Official Site](https://img.shields.io/badge/Visit-Official%20Site-blue)](https://envio-cli.github.io/home)
</div>

<div align='center'>
  <img alt="Demo" src="assets/envio-passphrase-final.gif" width="600">
</div>

<div align='center'>To see the GPG encryption demo go <a href="https://github.com/envio-cli/envio/blob/main/assets/envio-gpg-final.gif">here</a></div>

## About

`envio` is an open source CLI tool that helps make managing environment variables a breeze. With `envio`, users can create encrypted profiles that contain a collection of environment variables associated with a specific project or use case. `envio` ensures security and simplifies the development process by allowing users to easily switch between profiles as needed and load them in their current terminal session for immediate use.

Some key features of `envio` include:

- **Encrypted** profiles through `passphrase` or `GPG` encryption
- **Load** profiles into your `terminal sessions`
- **Persistent** environment variables that are available in `future sessions`
- **Run** programs with your profiles
- **Importing** profiles stored on the internet into your local installation
- **Exporting** profiles to a file

Sound interesting? Check out the [official website](https://envio-cli.github.io/home) for more information such as how to **install** and **use** the tool on your machine.

`envio` currently supports **Linux**, **MacOS** and **Windows**

## Contributors

<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Vojtch159"><img src="https://avatars.githubusercontent.com/u/73985038?v=4?s=100" width="100px;" alt="Vojtch"/><br /><sub><b>Vojtch</b></sub></a><br /><a href="https://github.com/humblepenguinn/envio/commits?author=Vojtch159" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/erjanmx"><img src="https://avatars.githubusercontent.com/u/4899432?v=4?s=100" width="100px;" alt="Erjan Kalybek"/><br /><sub><b>Erjan Kalybek</b></sub></a><br /><a href="https://github.com/humblepenguinn/envio/commits?author=erjanmx" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/afh"><img src="https://avatars.githubusercontent.com/u/16507?v=4?s=100" width="100px;" alt="Alexis Hildebrandt"/><br /><sub><b>Alexis Hildebrandt</b></sub></a><br /><a href="https://github.com/humblepenguinn/envio/commits?author=afh" title="Code">💻</a></td>
    </tr>
  </tbody>
</table>

## Contributing

Contributions to `envio` are always welcome! Please see the [Contributing Guidelines](CONTRIBUTING.md) for more information.

## License

This project is licensed under the [MIT](LICENSE-MIT) and the [Apache](LICENSE-APACHE) License
